bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: a coreutils release is imminent


From: Jim Meyering
Subject: Re: a coreutils release is imminent
Date: Thu, 22 Mar 2007 22:13:32 +0100

Paul Eggert <address@hidden> wrote:
> Eric Blake <address@hidden> writes:
>> tests/mv:
>> ls: cannot access x/b: No such file or directory
>> ./hard-3: line 87: test: 10133099161893214: unary operator expected
>> FAIL: hard-3
>
> That looks to me like a failure in the test suite, in that it reports
> a bogus error when the real error is elsewhere.  Here is a patch for
> the test-suite problem.

I had to make this additional change:

        * tests/mv/hard-3: Correct the preceding change: $3 -> $2.

diff --git a/tests/mv/hard-3 b/tests/mv/hard-3
index b912da3..ce83728 100755
--- a/tests/mv/hard-3
+++ b/tests/mv/hard-3
@@ -78,12 +78,12 @@ test -f x/b || fail=1
 test -f c || fail=1

 # The i-node numbers of a and c must be the same.
-ia=`ls -i a` || fail=1; set x $ia; ia=$3
-ic=`ls -i c` || fail=1; set x $ic; ic=$3
+ia=`ls -i a` || fail=1; set x $ia; ia=$2
+ic=`ls -i c` || fail=1; set x $ic; ic=$2
 test "$ia" = "$ic" || fail=1

 # The i-node number of x/b must be different.
-ib=`ls -i x/b` || fail=1; set x $ib; ib=$3
+ib=`ls -i x/b` || fail=1; set x $ib; ib=$2
 test "$ia" = "$ib" && fail=1

 (exit $fail); exit $fail




reply via email to

[Prev in Thread] Current Thread [Next in Thread]